
QGIS Application - Bug report #1737

node tool doesn't take respect to topological editing option

2009-06-15 12:53 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11797

Description

1. load line layer

 2. select properties->project properties->general->enable topological editing

 3. toggle editing mode

 4. activate node tool

 5. select a line

 6. select all line nodes

 7. move the whole line => node tool doesn't take respect to the topological editing option.

Image a.png => produced result

Image b.png => expected result

History

#1 - 2009-08-05 03:16 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Seems to me that the node tool now take respect of topology, at least on the latest revision. Please reopen if necessary.

#2 - 2009-08-05 03:50 AM - Borys Jurgiel

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

There is still one issue remaining: if you add a new vertex to a shared boundary, the same should be added to the adjacent feature too. This is even more

important now, when all other topological helpers are implemented, what may put a user off guard and cause topological errors. So I'm raising the priority

and voting for fix it before the 1.2 release!

#3 - 2009-08-06 03:44 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Feedback to Closed

Should be fixed in commit:cc05d674 (SVN r11283).
